public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Amy Liffey" <amynka@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/grass/
Date: Sun,  9 Sep 2018 15:41:03 +0000 (UTC)	[thread overview]
Message-ID: <1536507598.3ced847e135e475663778074f797538cb6e3464a.amynka@gentoo> (raw)

commit:     3ced847e135e475663778074f797538cb6e3464a
Author:     Gioacchino Mazzurco <gio <AT> eigenlab <DOT> org>
AuthorDate: Fri Aug 31 22:48:45 2018 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Sun Sep  9 15:39:58 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ced847e

sci-geosciences/grass-7.4.1 version bump

Update to new version and avoid breaking addons installation by not
deleting too much things in src_install

Closes: https://bugs.gentoo.org/664886
Closes: https://bugs.gentoo.org/665006
Closes: https://github.com/gentoo/gentoo/pull/9748

 sci-geosciences/grass/Manifest           |   1 +
 sci-geosciences/grass/grass-7.4.1.ebuild | 284 +++++++++++++++++++++++++++++++
 2 files changed, 285 insertions(+)

diff --git a/sci-geosciences/grass/Manifest b/sci-geosciences/grass/Manifest
index 9aaa7fc6c7a..0f4623b3d19 100644
--- a/sci-geosciences/grass/Manifest
+++ b/sci-geosciences/grass/Manifest
@@ -1,2 +1,3 @@
 DIST grass-7.2.0.tar.gz 48315008 BLAKE2B 927da2119e199cee7cbf55a172141abfe9ce86499e307b355fec2cdf79ec3424acddc4410e3049e7cade5dd3da39e618af7e1003093f87de5735a981984b46c6 SHA512 b1aa17ec554c2f0473df3726993b0891df4589c60ca9362405932a4c479b5883245b0a0ba9e787ce2e9de210b6307f34883e4e63ddfbf04eb5d75e8583bc2c5b
 DIST grass-7.4.0.tar.gz 56329374 BLAKE2B 924ecd9ad073dd3c59542a871780397a2516e1f0d912b4644978154ea6305ccf50229655aa7f38ab20f2bf85e4a4783cd793fff5101423dd6c212108d638d1df SHA512 b0393ec5d149e2146cc1f30cdcea00e31039bf0a2541486ab0ecd5debe260d267d74e60761b45ce306ad9942264cce9134dbafbf3c75a55df1c610499877d321
+DIST grass-7.4.1.tar.gz 57969640 BLAKE2B 1d3d0fd20611971ec349bf0e26ef7d886b7047e1ec48f48584f8ba2e5562f352433c9869420d7e030e66fb5a9e60de20e6a78d1fd5142380fbcab51f700766d8 SHA512 66616e495aa798cd1ad7a0284a386f7e99741918596b816a712788114e7dc491be0b5f19551f102b436518a5cabcdedbc61042acf0a9b06b9d8df12b4de26c90

diff --git a/sci-geosciences/grass/grass-7.4.1.ebuild b/sci-geosciences/grass/grass-7.4.1.ebuild
new file mode 100644
index 00000000000..5c45e10e174
--- /dev/null
+++ b/sci-geosciences/grass/grass-7.4.1.ebuild
@@ -0,0 +1,284 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"  # bug 572440
+WANT_AUTOCONF="2.1"
+WX_GTK_VER=3.0
+
+inherit autotools gnome2 python-single-r1 versionator wxwidgets xdg-utils
+
+MY_PM=${PN}$(get_version_component_range 1-2 ${PV})
+MY_PM=${MY_PM/.}
+MY_P=${P/_rc/RC}
+
+DESCRIPTION="A free GIS with raster and vector functionality, as well as 3D vizualization"
+HOMEPAGE="http://grass.osgeo.org/"
+SRC_URI="http://grass.osgeo.org/${MY_PM}/source/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0/7.4.0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="X blas cxx fftw geos lapack liblas mysql netcdf nls odbc opencl opengl openmp png postgres readline sqlite threads tiff truetype"
+
+RDEPEND="${PYTHON_DEPS}
+	>=app-admin/eselect-1.2
+	dev-python/numpy[${PYTHON_USEDEP}]
+	media-libs/libprojectm
+	sci-libs/proj
+	sci-libs/xdrfile
+	sci-libs/gdal
+	sys-libs/gdbm
+	sys-libs/ncurses:0=
+	sys-libs/zlib:=
+	fftw? ( sci-libs/fftw:3.0= )
+	geos? ( sci-libs/geos )
+	blas? ( virtual/blas
+		sci-libs/cblas-reference )
+	lapack? ( virtual/lapack )
+	liblas? ( sci-geosciences/liblas )
+	mysql? ( virtual/mysql )
+	netcdf? ( sci-libs/netcdf )
+	odbc? ( dev-db/unixODBC )
+	opencl? ( virtual/opencl )
+	opengl? ( virtual/opengl )
+	png? ( media-libs/libpng:0= )
+	postgres? ( >=dev-db/postgresql-8.4:= )
+	readline? ( sys-libs/readline:0= )
+	sqlite? ( dev-db/sqlite:3 )
+	tiff? ( media-libs/tiff:0= )
+	truetype? ( media-libs/freetype:2 )
+	X? (
+		dev-python/wxpython:3.0[cairo,opengl?]
+		x11-libs/cairo[X,opengl?]
+		x11-libs/libICE
+		x11-libs/libSM
+		x11-libs/libX11
+		x11-libs/libXext
+		x11-libs/libXt
+	)"
+
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	sys-devel/flex
+	sys-devel/gettext
+	sys-devel/bison
+	X? (
+		dev-lang/swig
+		x11-base/xorg-proto
+	)"
+
+S="${WORKDIR}/${MY_P}"
+
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	opengl? ( X )"
+
+PATCHES=(
+	"${FILESDIR}/${PN}"-7.0.1-declare-inespg.patch
+)
+
+pkg_setup() {
+	if use lapack; then
+		local mylapack
+		mylapack=$(eselect lapack show) || die
+		if [[ -z "${mylapack/.*reference.*/}" ]] && \
+			[[ -z "${mylapack/.*atlas.*/}" ]]; then
+			ewarn "You need to set lapack to atlas or reference. Do:"
+			ewarn "   eselect lapack set <impl>"
+			ewarn "where <impl> is atlas, threaded-atlas or reference"
+			die "setup failed"
+		fi
+	fi
+
+	if use blas; then
+		local myblas
+		myblas=$(eselect blas show) || die
+		if [[ -z "${myblas/.*reference.*/}" ]] && \
+			[[ -z "${myblas/.*atlas.*/}" ]]; then
+			ewarn "You need to set blas to atlas or reference. Do:"
+			ewarn "   eselect blas set <impl>"
+			ewarn "where <impl> is atlas, threaded-atlas or reference"
+			die "setup failed"
+		fi
+	fi
+
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	# Fix unversioned python calls
+	local pyver=${EPYTHON/python/}
+	sed -e "s:GRASS_PYTHON=.*:&${pyver}:" -i "${S}/lib/init/grass.sh" || die
+	sed -e "s:= python:&${pyver}:" -i "${S}/include/Make/Platform.make.in" || die
+
+	# fix header being unconditionally included
+	# see upstream https://trac.osgeo.org/grass/ticket/2779
+	sed -e 's:\(#include <ogr_api.h>\):#ifdef HAVE_OGR\n\1\n#endif:' \
+		-i "${S}/vector/v.external/main.c" || die "failed to sed main.c"
+
+	default
+	eautoconf
+
+	ebegin "Fixing python shebangs"
+	python_fix_shebang -q "${S}"
+	eend $?
+
+	# For testsuite, see https://bugs.gentoo.org/show_bug.cgi?id=500580#c3
+	shopt -s nullglob
+	mesa_cards=$(echo -n /dev/dri/card* /dev/dri/render* | sed 's/ /:/g')
+	if test -n "${mesa_cards}"; then
+		addpredict "${mesa_cards}"
+	fi
+	ati_cards=$(echo -n /dev/ati/card* | sed 's/ /:/g')
+	if test -n "${ati_cards}"; then
+		addpredict "${ati_cards}"
+	fi
+	shopt -u nullglob
+	addpredict /dev/nvidiactl
+
+}
+
+src_configure() {
+	if use X; then
+		WX_BUILD=yes
+		setup-wxwidgets
+	fi
+
+	addwrite "${EPREFIX}/dev/dri/renderD128"
+
+	econf \
+		--enable-shared \
+		--disable-w11 \
+		$(use_with cxx) \
+		$(use_with tiff) \
+		$(use_with png) \
+		$(use_with postgres) \
+		$(use_with mysql) \
+		$(use_with mysql mysql-includes "${EPREFIX}/usr/include/mysql") \
+		$(use_with mysql mysql-libs "${EPREFIX}/usr/$(get_libdir)/mysql") \
+		$(use_with sqlite) \
+		$(use_with opengl) \
+		$(use_with odbc) \
+		$(use_with fftw) \
+		$(use_with blas) \
+		$(use_with lapack) \
+		$(use_with X cairo) \
+		$(use_with truetype freetype) \
+		$(use_with truetype freetype-includes "${EPREFIX}/usr/include/freetype2") \
+		$(use_with nls) \
+		$(use_with readline) \
+		--without-opendwg \
+		--with-regex \
+		$(use_with threads pthread) \
+		$(use_with openmp) \
+		$(use_with opencl) \
+		--with-gdal="${EPREFIX}/usr/bin/gdal-config" \
+		$(use_with liblas liblas "${EPREFIX}/usr/bin/liblas-config") \
+		$(use_with X wxwidgets "${WX_CONFIG}") \
+		$(use_with netcdf netcdf "${EPREFIX}/usr/bin/nc-config") \
+		$(use_with geos geos "${EPREFIX}/usr/bin/geos-config") \
+		--with-proj-includes="${EPREFIX}/usr/include/libprojectM" \
+		--with-proj-libs="${EPREFIX}/usr/$(get_libdir)" \
+		--with-proj-share="${EPREFIX}/usr/share/proj/" \
+		$(use_with X x)
+}
+
+src_compile() {
+	# we don't want to link against embedded mysql lib
+	emake CC="$(tc-getCC)" MYSQLDLIB=""
+}
+
+src_install() {
+	emake DESTDIR="${D}" \
+		INST_DIR="${D}/usr/$(get_libdir)/${MY_PM}" \
+		prefix="${D}/usr/" BINDIR="${D}/usr/bin" \
+		PREFIX="${D}/usr/" \
+		install
+
+	pushd "${D}/usr/$(get_libdir)/${MY_PM}" &> /dev/null || die
+
+	dodoc AUTHORS CHANGES
+	docinto html
+	dodoc -r docs/html/*
+
+	# manuals
+	dodir /usr/share/man/man1
+	rm -rf man/ || die
+
+	# translations
+	if use nls; then
+		dodir /usr/share/locale/
+		mv locale/* "${D}usr/share/locale/" || die
+	fi
+
+	popd &> /dev/null || die
+
+	# link libraries in the ~standard~ place
+	for fLib in $(ls "${D}/usr/$(get_libdir)/${MY_PM}/lib/"); do
+		dosym "${MY_PM}/lib/${fLib}" "/usr/$(get_libdir)/${fLib}"
+	done
+
+	# link headers in the ~standard~ place
+	dodir "/usr/include/"
+	dosym "../$(get_libdir)/${MY_PM}/include/grass" "/usr/include/grass"
+
+	# fix paths in addons makefile includes
+	local scriptMakeDir
+	scriptMakeDir="${D}/usr/$(get_libdir)/${MY_PM}/include/Make/"
+	for mkFile in $(ls "${scriptMakeDir}"); do
+		echo sed -i "s|${D}|/|g" "${scriptMakeDir}/${mkFile}" || die
+		sed -i "s|${D}|/|g" "${scriptMakeDir}/${mkFile}" || die
+	done
+
+	# get proper folder for grass path in script
+	local gisbase
+	gisbase="${ROOT}usr/$(get_libdir)/${MY_PM}"
+	sed -e "s:gisbase = \".*:gisbase = \"${gisbase}\":" \
+		-i "${D}usr/bin/${MY_PM}" || die
+
+	# get proper fonts path for fontcap
+	sed -i \
+		-e "s|${D}usr/${MY_PM}|${EPREFIX}usr/$(get_libdir)/${MY_PM}|" \
+		"${D}usr/$(get_libdir)/${MY_PM}/etc/fontcap" || die
+
+	# set proper python interpreter
+	sed -e "s:= \"python\":= \"${EPYTHON}\":" -i "${D}usr/bin/${MY_PM}" || die
+
+	if use X; then
+		local GUI="-gui"
+		[[ ${WX_BUILD} == yes ]] && GUI="-wxpython"
+		make_desktop_entry "/usr/bin/${MY_PM} ${GUI}" "${PN}" "${PN}-48x48" "Science;Education"
+		doicon -s 48 gui/icons/${PN}-48x48.png
+	fi
+
+	# install .pc file so other apps know where to look for grass
+	insinto /usr/$(get_libdir)/pkgconfig/
+	doins grass.pc
+
+	# fix weird +x on tcl scripts
+	find "${D}" -name "*.tcl" -exec chmod +r-x '{}' \;
+}
+
+pkg_postinst() {
+	if use X; then
+		xdg_desktop_database_update
+		gnome2_icon_cache_update
+	fi
+
+	ewarn "GRASS addons may fail due to Python 3 incompatibility."
+	ewarn "If that is tha case you can change the shebang a the beginning of"
+	ewarn "the script to enforce Python 2 usage."
+	ewarn "#!/usr/bin/env python"
+	ewarn "Should be changed into"
+	ewarn "#!/usr/bin/env python2"
+}
+
+pkg_postrm() {
+	if use X; then
+		xdg_desktop_database_update
+		gnome2_icon_cache_update
+	fi
+}


             reply	other threads:[~2018-09-09 15:41 UTC|newest]

Thread overview: 135+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-09-09 15:41 Amy Liffey [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-10  6:08 [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/grass/ Sam James
2025-02-27  6:01 Sam James
2025-02-27  6:01 Sam James
2025-02-19 11:05 Sam James
2025-02-16 16:27 Sam James
2025-02-04 16:54 Sam James
2024-09-28  9:38 Sam James
2024-08-25 20:27 Eli Schwartz
2024-08-25 20:27 Eli Schwartz
2024-08-10  7:24 Joonas Niilola
2024-08-10  7:24 Joonas Niilola
2024-07-31 19:14 Arthur Zamarin
2024-07-18  7:41 Joonas Niilola
2024-07-18  7:41 Joonas Niilola
2024-07-18  7:41 Joonas Niilola
2024-04-23 21:33 Sam James
2024-03-20 22:12 Andrew Ammerlaan
2024-03-15  6:47 Sam James
2024-01-05  6:42 Sam James
2023-11-30  3:07 Sam James
2023-10-27  8:13 Andrew Ammerlaan
2023-10-17  7:57 Andrew Ammerlaan
2023-10-17  7:57 Andrew Ammerlaan
2023-10-17  7:57 Andrew Ammerlaan
2023-10-04 21:56 Conrad Kostecki
2023-08-24 17:46 Sam James
2023-07-16 13:26 Sam James
2023-07-16 13:26 Sam James
2023-07-16  6:47 Viorel Munteanu
2023-06-15  9:04 Andrew Ammerlaan
2023-05-06  3:52 Sam James
2023-05-06  3:52 Sam James
2023-05-01  9:22 Sam James
2023-05-01  9:22 Sam James
2023-03-19 17:14 David Seifert
2023-03-07  9:09 Joonas Niilola
2023-02-08  4:11 Sam James
2023-02-08  4:11 Sam James
2023-02-08  4:11 Sam James
2023-02-08  4:11 Sam James
2023-02-01  7:23 Sam James
2022-12-18  7:46 Sam James
2022-12-16  4:30 Sam James
2022-12-16  1:40 Sam James
2022-11-18  8:23 Joonas Niilola
2022-10-12 23:32 Sam James
2022-10-09 18:29 Andreas Sturmlechner
2022-09-28  6:31 Jakov Smolić
2022-09-28  6:31 Jakov Smolić
2022-09-28  6:31 Jakov Smolić
2022-08-27 10:53 Sam James
2022-07-15  1:56 Sam James
2022-07-07 19:44 Sam James
2022-07-07 19:44 Sam James
2022-06-15 18:17 Sam James
2022-06-15  9:46 Jakov Smolić
2022-06-04  3:58 Sam James
2022-05-22 20:08 Jakov Smolić
2022-05-22 20:08 Jakov Smolić
2022-05-12 14:56 Andrew Ammerlaan
2022-05-12 14:56 Andrew Ammerlaan
2022-04-18  7:15 Sam James
2022-04-06  6:32 Agostino Sarubbo
2022-04-06  6:32 Agostino Sarubbo
2022-03-10  7:51 Jakov Smolić
2022-03-10  7:51 Jakov Smolić
2022-02-26  2:29 Sam James
2022-02-26  2:29 Sam James
2022-01-16  1:47 Sam James
2022-01-16  1:47 Sam James
2022-01-16  1:47 Sam James
2022-01-16  1:47 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2021-12-28 22:00 Sam James
2021-12-09 16:24 Agostino Sarubbo
2021-12-07  7:26 Agostino Sarubbo
2021-10-20  2:42 Sam James
2021-10-20  2:42 Sam James
2021-09-24 23:37 Sam James
2021-09-24 23:36 Sam James
2021-09-24 23:36 Sam James
2021-09-24 23:36 Sam James
2021-09-24 23:36 Sam James
2021-08-06  4:10 Sam James
2021-05-29 17:47 Sam James
2021-03-08  7:35 Joonas Niilola
2021-03-07 19:46 Sam James
2021-03-07 15:54 Thomas Deutschmann
2021-03-07 15:17 Joonas Niilola
2021-03-06 14:07 Joonas Niilola
2021-02-14 14:28 Joonas Niilola
2021-01-20 14:13 Joonas Niilola
2021-01-06  6:34 Sam James
2020-12-29 20:20 Sam James
2020-11-25  8:16 Joonas Niilola
2020-10-04 15:24 David Seifert
2020-02-09 16:36 Michał Górny
2020-02-08 16:53 David Seifert
2020-01-22 21:50 Michał Górny
2020-01-16  6:39 Michał Górny
2019-07-05  8:22 Benda XU
2019-02-21 10:29 Andreas Sturmlechner
2019-02-21 10:29 Andreas Sturmlechner
2018-05-24  9:36 Amy Liffey
2018-05-24  9:36 Amy Liffey
2018-04-10  1:19 Sam Jorna
2018-04-01 22:27 Matt Turner
2018-03-05 22:14 Andreas Sturmlechner
2017-05-24  7:06 Michael Weber
2017-04-18 23:25 Sam Jorna
2017-04-18 23:25 Sam Jorna
2017-01-11  1:51 Sam Jorna
2017-01-11  1:51 Sam Jorna
2016-11-30  2:29 Sam Jorna
2016-11-26  1:07 Sam Jorna
2016-06-06  7:00 Sam Jorna
2016-03-15 23:26 Sam Jorna
2016-03-14 23:37 Sam Jorna
2015-12-26 22:31 Amy Winston
2015-12-26 22:31 Amy Winston
2015-12-01  8:38 Ian Delaney
2015-10-30  6:19 Jeroen Roovers
2015-10-28 15:04 Amy Winston
2015-10-24 13:58 Amy Winston
2015-10-24  5:57 Ian Delaney
2015-10-22  4:37 Ian Delaney
2015-10-18 10:31 Amy Winston
2015-10-18 10:31 Amy Winston
2015-10-18  8:14 Pacho Ramos
2015-10-17 17:39 Amy Winston

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1536507598.3ced847e135e475663778074f797538cb6e3464a.amynka@gentoo \
    --to=amynka@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox